- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# qubes – Interact with an existing QubesOS AppVM

New in version 2.8.

- Synopsis
- Parameters
- Status

## Synopsis

- Run commands or put/fetch files to an existing Qubes AppVM using qubes tools.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
remote_addr - | Default: "inventory_hostname" | var: ansible_host | vm name
remote_user - | Default: "The *user* account as default in Qubes OS." | var: ansible_user | The user to execute as inside the vm.

## Status

- This connection is not guaranteed to have a backwards compatible interface. [preview]
- This connection is maintained by the Ansible Community. [community]

### Authors

- Kushal Das (@kushaldas)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.